/*
   fix-focus: fix focus after an exit of nxclient.
   Copyright (C) Zsolt Mller 2007

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include <stdlib.h>
#include <stdio.h>
#include <X11/Xlib.h>

/*
 * Function to put out a message on error exits.
 */
void error(char *str) {
  printf("%s\n", str);
  exit(0);
}

/* Client program */
int
main(int argc, char *argv[])
{
  Display *display;
  
  display = XOpenDisplay("");
  if (!display) {
    error("Can't open display.");
  }
  XSetInputFocus(display, PointerRoot, RevertToParent, CurrentTime);
  XCloseDisplay(display);
  
  return 0;
}
